
QGIS Application - Bug report #15111

wfsprovider directory is located in home directory

2016-06-22 11:45 AM - dr -

Status: Closed

Priority: Normal

Assignee: Even Rouault

Category: Web Services clients/WFS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 23053

Description

If Settings -> Options -> Network -> Cache settings (Directory) is not set explicitly then "wfsprovider" directory is created inside home

directory (not in ~/.qgis2/cache).

Associated revisions

Revision f193c4e2 - 2016-06-26 12:00 PM - Matthias Kuhn 

Don't put default network cache directory directly in $HOME

Fix #15111

Revision 56514a76 - 2016-07-11 03:21 PM - Matthias Kuhn 

Don't put default network cache directory directly in $HOME

Fix #15111

Revision 7182b1b8 - 2016-10-06 07:43 PM - Even Rouault

Properly deal with empty cache/directory in WFS provider, server and globe plugin

Fixes #15111

Revision 41693604 - 2016-10-06 07:45 PM - Even Rouault

Properly deal with empty cache/directory in WFS provider, server and globe plugin

Fixes #15111

Revision 763d97fb - 2016-10-06 07:49 PM - Even Rouault

Properly deal with empty cache/directory in WFS provider, server and globe plugin

Fixes #15111

2025-04-26 1/2



History

#1 - 2016-06-26 03:01 AM - Anonymous

- Status changed from Open to Closed

Fixed in changeset commit:"f193c4e27d65ac5c0bf4d6414ca8e97b18b91116".

#2 - 2016-06-27 02:25 AM - dr -

- Status changed from Closed to Reopened

Issue is still present.

#3 - 2016-07-11 06:45 AM - Anonymous

- Status changed from Reopened to Closed

Fixed in changeset commit:"56514a76ed0ea105549b6efb14101d5cc497d9c4".

#4 - 2016-07-13 02:57 AM - dr -

- Status changed from Closed to Reopened

Issue is still present. If I start QGIS with Dash and open WFS layer then I get wfsprovider directory inside my home directory. If I try start QGIS from

console (with current working directory for example /), then I cannot open WFS because QGIS trying to create wfsprovider directory inside /.

#5 - 2016-09-20 12:48 AM - Even Rouault

- Category set to Web Services clients/WFS

- Assignee set to Even Rouault

#6 - 2016-10-06 10:44 AM - Even Rouault

- Status changed from Reopened to Closed

Fixed in changeset commit:"7182b1b871c594417b3598d5d0927529494ba253".

#7 - 2016-10-06 10:52 AM - Even Rouault

- Target version set to Version 2.16
